Skip to main content
`Ctrl`+`K`

# DMPlexTetgenSetOptions

Set the options used for the Tetgen mesh generator

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexTetgenSetOptions(DM dm, const char *opts)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- opts - The command line options

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTriangleSetOptions()`, `DMPlexGenerate()`

## Level

developer

## Location

src/dm/impls/plex/plexgenerate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages